<?php
// product/get_product_stock.php - 获取商品库存的AJAX接口
session_start();
require_once '../database_config.php';

// 检查用户是否有访问权限
if (!has_permission('inventory') || !isset($_GET['id'])) {
    header('Content-Type: application/json');
    echo json_encode(['error' => 'Unauthorized or missing product id']);
    exit;
}

$product_id = $_GET['id'];

try {
    $stmt = $pdo->prepare("SELECT stock FROM products WHERE id = ?");
    $stmt->execute([$product_id]);
    $product = $stmt->fetch();

    header('Content-Type: application/json');
    if ($product) {
        echo json_encode(['stock' => $product['stock']]);
    } else {
        echo json_encode(['error' => 'Product not found']);
    }
} catch (PDOException $e) {
    header('Content-Type: application/json');
    echo json_encode(['error' => $e->getMessage()]);
}
